> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/trlink/test-connection",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Test connection

> Tests the connection to a customer integration by validating stored credentials and attempting communication with the Travel Rule partner. Returns connection status and any error messages.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /screening/trlink/customers/integration/{customerIntegrationId}/test_connection
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /screening/trlink/customers/integration/{customerIntegrationId}/test_connection:
    post:
      tags:
        - TRLink
      summary: Test connection
      description: >-
        Tests the connection to a customer integration by validating stored
        credentials and attempting communication with the Travel Rule partner.
        Returns connection status and any error messages.
      operationId: testTRLinkIntegrationConnection
      parameters:
        - name: customerIntegrationId
          in: path
          required: true
          description: Customer integration unique identifier
          example: 123e4567-e89b-12d3-a456-426614174000
          schema:
            type: string
            format: uuid
        - $ref: '#/components/parameters/X-Idempotency-Key'
      responses:
        '200':
          description: >-
            Connection test completed (success or failure details in response
            body)
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRLinkTestConnectionResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<TRLinkTestConnectionResponse>> =
            fireblocks.tRLink.testTRLinkIntegrationConnection(tRLinkApiTestTRLinkIntegrationConnectionRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<TRLinkTestConnectionResponse>>
            response =
            fireblocks.tRLink().testTRLinkIntegrationConnection(customerIntegrationId,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.t_r_link.test_t_r_link_integration_connection(customer_integration_id,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    TRLinkTestConnectionResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Whether the connection test was successful
          example: true
        message:
          type: string
          nullable: true
          description: >-
            Additional message about the connection test (present when success
            is false)
          example: 'Connection test failed: Invalid API key'
        timestamp:
          type: string
          format: date-time
          description: Timestamp when the test was performed (ISO 8601 format)
          example: '2025-01-24T10:30:00.000Z'
        partnerIdent:
          type: string
          nullable: true
          description: Partner identification code
          example: notabene
        partnerName:
          type: string
          nullable: true
          description: Partner display name
          example: Notabene
      required:
        - success
        - timestamp
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````